package com.liquidnet.service.adam.constant;

public class AdamRedisConst {
    public static final String ADAM = "adam:";

    public static final String VALID = ADAM.concat("valid:");

    public static final String VALID_SMS_CODE_MOBILE = VALID.concat("sms:code:mobile");

    public static final String IDENTITY = ADAM.concat("identity:");

    public static final String IDENTITY_MOBILE = IDENTITY.concat("mobile:");
    public static final String IDENTITY_THIRD_PARTY = IDENTITY.concat("third_party:");

    public static final String INFO = ADAM.concat("info:");

    public static final String INFO_TAGS_SEX = INFO.concat("tags:sex");
    public static final String INFO_TAGS_MUSIC = INFO.concat("tags:music");

    public static final String INFO_USER = INFO.concat("user:");
    public static final String INFO_USER_MEMBER = INFO.concat("umember:");
    public static final String INFO_REAL_NAME = INFO.concat("real_name:");
    public static final String INFO_THIRD_PARTY = INFO.concat("third_party:");
    public static final String INFO_ENTERS = INFO.concat("enters:");
    public static final String INFO_ADDRESSES = INFO.concat("addresses:");
    public static final String INFO_CERTIFICATION = INFO.concat("certification:");

    public static final String INFO_MEMBER_SIMPLE = INFO.concat("member:simple");
    public static final String INFO_MEMBER_CATEGORY = INFO.concat("member:category:");
    public static final String INFO_MEMBER_PRICE = INFO.concat("member:price:");
    public static final String INFO_MEMBER_RIGHTS = INFO.concat("member:rights:");
    public static final String INFO_MEMBER_AGREEMENT = INFO.concat("member:agreement");
    public static final String INFO_MEMBER_CODE = INFO.concat("member:code:");
    public static final String INFO_MEMBER_ORDER = INFO.concat("morder:");
    public static final String INFO_BUY_MEMBER_ORDER_CODE = INFO.concat("mordercode:");

    public static final String INFO_LIBRARY_NKNAME = INFO.concat("library:nkname");

    public static final String BLACK_LIST = ADAM.concat("blacklist:");
    public static final String BLK_LIST_MEMBER_UID = BLACK_LIST.concat("member:uid");

    public static final String SHOT_MEMBER_ORDER = ADAM.concat("morder:");

    public static final String INCR = ADAM.concat("incr:");
    public static final String INCR_MEMBER_NO = INCR.concat("member_no");

    public static final String SWITCH = ADAM.concat("switch:");
    public static final String SWITCH_BUY_MEMBER = SWITCH.concat("buy:member");
    public static final String SWITCH_GRAY_LOGIN_SMS = SWITCH.concat("gray:login:sms");

    /* ----------------------------------------------------------------- */

//    public static final String LOCK_KEY_UMEMBER_NO = "adam:lk:member:no";
    // // // // // // // // // //
//    public static final String LOCK_KEY_SMS_CODE_MOBILE = "adam:lk:sms:code:mobile:";
//    public static final String LOCK_KEY_UREGISTER = "adam:lk:register:";
//    public static final String LOCK_KEY_UIDENTITY = "adam:lk:identity:";
//    public static final String LOCK_KEY_UMEMBER_CODE = "adam:lk:member:code:";

    /* ----------------------------------------------------------------- */
}
